Skip to main content

 –

Deployment Manager 4.8.4

Suggest edit Updated on December 13, 2021

Deployment Manager 4.8.4 includes the following resolved issues.

Enhancements

The following new features are available in this release:

  • Deployment Manager now enables users on Pega Platform 8.1.x through 8.5.1 to use the enhancements introduced in Deployment Manager 5.1.Note: Revision management users of Deployment Manager are not recommended to promote to Deployment Manager 4.8.4. To use the business change pipeline feature in Deployment Manager 5.1, candidate environments must be on Pega Platform 8.5.2 or later. Refer to Deployment Manager 5.1 documentation if the candidate is managed by 5.1 systems.
  • If candidate systems are between Pega Platform 8.1 and Pega Platform 8.5.1, the candidate must have 4.8.4 Pega DevOps Foundation. If candidates are managed by an orchestrator on version 5 or later, you must create the PegaDevopsShared configuration set it to true. If not set, the candidate will fall back to using the older 4.x APIs for interactions with Deployment Manager and the pipelines will not be functional if using a 5.x orchestrator. Creating this configuration and setting it to true ensures the candidates leverage the 5.x API service.
    • Owning ruleset: PegaDevopsShared
    • Purpose: deploymentmanager/orchestrator/managed_by_5x/enabled
    • Value: True
Did you find this content helpful? YesNo

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Ready to crush complexity?

Experience the benefits of Pega Community when you log in.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us